<?php
if(isset($_POST['action'])) {
	$AjaxRequest = true;
} else {
	$AjaxRequest = false;
	if(!defined("IQ_AUTH_CORE_DIR")) { die(); }
}

if($AjaxRequest) {
	if(!isset($_SERVER['HTTP_REFERER'])) { die(); }

	$iPostItemID = 0;
	if(isset($_POST['ItemID'])) {
		$iPostItemID = (int)sanitize_text_field($_POST['ItemID']);
	}

	##################
	##### ACCESS #####
	##################
	if ( !is_user_logged_in() ) {
		die();
	}

	$cur_user_id = get_current_user_id();
	if($cur_user_id <= 0) {
		die();
	}
	$user_obj = get_userdata( $cur_user_id );

	if(!$user_obj) {
		die();
	}
	$roles_arr = (array)$user_obj->roles;

	$need_role = 'administrator';
	if(!in_array($need_role, $roles_arr)) {
		die();
	}

	if(!isset($cIQAuthClass)) {
		require_once IQ_AUTH_CORE_DIR.'/includes/inc_auth.php';
		$cIQAuthClass = new IQAuthClass();
	}

	$SQL_Search = "
		AND
			a.`uid` = '".$iPostItemID."'
	";
	$users = $cIQAuthClass->getUsers([], $SQL_Search, []);
	$q = [];
	if($users) {
		foreach($users AS $data) {
			$q = $data;
			break;
		}
	}
	if(!$q) {
		die();
	}
	
	$cf_collums = [];
	if(func_iq_auth_module_enable('custom_fields')) {
		include IQ_AUTH_CUSTOM_FIELDS_DIR.'/views/views_users.php';
	}
}
?>
<tr id="uid_block_<?php echo esc_html($q['uid']); ?>">

	<td data-label="<?php echo esc_html__('Login', 'registration-and-authorize'); ?>">
		<?php echo esc_html($q['user_login']); ?>
	</td>
	
	<?php
	// show custom fields
	if($cf_collums) {
		$q['cf_arr'] = json_decode($q['cf_json'], true);
		foreach($cf_collums AS $cf_key => $cf_name_collum) {
			?>
			<td data-label="<?php echo $cf_name_collum; ?>">
				<?php
				if(isset($q['cf_arr']) && array_key_exists($cf_key, $q['cf_arr'])) {
					echo func_iq_auth_outdb($q['cf_arr'][$cf_key]);
				} else {
					echo '-';
				}
				?>
			</td>
			<?php
		}
	}
	?>
	
	<td data-label="<?php echo esc_html__('Added', 'registration-and-authorize'); ?>">
		<?php echo esc_html(date('d.m.Y H:i', $q['date'])); ?>
	</td>
	
	<td data-label="<?php echo esc_html__('Action', 'registration-and-authorize'); ?>">
		<a href="#" onclick="IQ_AUTH_UserEdit(<?php echo esc_html__($q['uid']); ?>);return false;">
			<span class="dashicons dashicons-edit"></span>
		</a>
	</td>
</tr>