<?php
if(isset($_POST['action'])) {
	$AjaxRequest = true;
} else {
	$AjaxRequest = false;
	if(!defined("IQ_AUTH_CORE_DIR")) { die(); }
}

if($AjaxRequest) {
	if(!isset($_SERVER['HTTP_REFERER'])) { die(); }

	$iPostItemID = 0;
	if(isset($_POST['ItemID'])) {
		$iPostItemID = (int)sanitize_text_field($_POST['ItemID']);
	}

	##################
	##### ACCESS #####
	##################
	if ( !is_user_logged_in() ) {
		die();
	}

	$cur_user_id = get_current_user_id();
	if($cur_user_id <= 0) {
		die();
	}
	$user_obj = get_userdata( $cur_user_id );

	if(!$user_obj) {
		die();
	}
	$roles_arr = (array)$user_obj->roles;

	$need_role = 'administrator';
	if(!in_array($need_role, $roles_arr)) {
		die();
	}

	if(!isset($cIQAuthRedirects)) {
		require_once IQ_AUTH_CORE_DIR.'/includes/inc_redirects.php';
		$cIQAuthRedirects = new IQAuthRedirects();
	}

	$SQL_Search = "
		AND
			a.`id` = '".$iPostItemID."'
	";
	$users = $cIQAuthRedirects->getList([], $SQL_Search);
	$q = [];
	if($users) {
		foreach($users AS $data) {
			$q = $data;
			break;
		}
	}
	if(!$q) {
		die();
	}
}
?>
<tr id="item_block_<?php echo esc_html($q['id']); ?>">
	<td data-label="#">
		<?php echo esc_html($q['num']); ?>
	</td>
	<td data-label="<?php echo esc_html__('Page', 'registration-and-authorize'); ?>">
		<?php echo esc_html($q['page']); ?>
	</td>
	<td data-label="<?php echo esc_html__('Redirect to', 'registration-and-authorize'); ?>">
		<?php echo esc_html__($q['type_name'], 'registration-and-authorize'); ?>
	</td>
	<td data-label="<?php echo esc_html__('Status', 'registration-and-authorize'); ?>">
		<?php
		if(!empty($q['enable'])) {
			echo '<span class="iq_auth_color_green">'.esc_html__('On', 'registration-and-authorize').'</span>';
		} else {
			echo '<span class="iq_auth_color_red">'.esc_html__('Off', 'registration-and-authorize').'</span>';
		}
		?>
	</td>
	<td data-label="<?php echo esc_html__('Created', 'registration-and-authorize'); ?>">
		<?php echo date('d.m.Y H:i', $q['created']); ?>
	</td>
	<td data-label="<?php echo esc_html__('Action', 'registration-and-authorize'); ?>">
		<a href="#" onclick="IQAuthRedirectsAdd(1, <?php echo esc_html($q['id']); ?>);return false;">
			<span class="dashicons dashicons-edit"></span>
		</a>
		<a href="#" onclick="IQAuthRedirectsDelete(<?php echo esc_html($q['id']); ?>);return false;">
			<span class="dashicons dashicons-trash"></span>
		</a>
	</td>
</tr>