function IQ_AUTH_WizardImportUsers() {
    IQ_AUTH_WizardLoader(true);
	
	jQuery.ajax({
		type: "POST",
		url: iq_auth_wizard_unique.ajax_url,
		data:{'action':'admin_iq_auth_WizardImportUsers'},
		success: function(data) {
			IQ_AUTH_WizardLoader(false);
			
			let phtml = jQuery.parseHTML( data );
			let result = jQuery(phtml).filter("#success").length;
			if(result) {
				IQ_AUTH_WizardNoticeStrErr('notice_block', 'success', data);
				window.location.href = '/wp-admin/admin.php?page=iq-auth-wizard&step=3';
				return true;
			}
			IQ_AUTH_WizardNoticeStrErr('notice_block', 'err', data);
		}
	});
}

function IQ_AUTH_WizardLoader(v) {
    v = v === undefined ? 1 : v;
	const block = 'loader_block';
	if(!document.getElementById(block)) {
		const el = document.body;
		el.insertAdjacentHTML('afterEnd', '<div id="loader_block"></div>');
	}
	if(v) {
		jQuery('#'+block).html('<div class="lds-roller"><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div></div>');
		jQuery(document.body).css('opacity', 0.5);
		jQuery(document.body).addClass('disabled');
	} else {
		jQuery('#'+block).text('');
		jQuery(document.body).css('opacity', 1);
		jQuery(document.body).removeClass('disabled');
	}
}

function IQ_AUTH_WizardNoticeStrErr(block_out, type, msg) {
	if(!document.getElementById(block_out)) {
		return false;
	}
	if(!msg) {
		jQuery('#'+block_out).text('');
		return false;
	}
	
	let str = '';
	switch(type) {
		case 'err': {
			str = '<div class="iq_auth_alert_block iq_auth_err">'+msg+'</div>';
			break;
		}
		case 'success': {
			str = '<div class="iq_auth_alert_block iq_auth_ok">'+msg+'</div>';
			break;
		}
		case 'info': {
			str = '<div class="iq_auth_alert_block iq_auth_info">'+msg+'</div>';
			break;
		}
	}
	if(!str) {
		return false;
	}
	jQuery('#'+block_out).html(str);
}