<?php
if(!isset($_SERVER['HTTP_REFERER'])) { die(); }

define('IQ_AUTH_WIZARD_ACCESS', true);
require_once IQ_AUTH_CORE_DIR.'/wizard/includes/iq_auth_wizard_func.php';

##################
##### ACCESS #####
##################
if ( !is_user_logged_in() ) {
	$szMsg = esc_html__('Authorization required', 'registration-and-authorize');
	die($szMsg);
}

$cur_user_id = get_current_user_id();
if($cur_user_id <= 0) {
	$szMsg = esc_html__('Authorization required', 'registration-and-authorize');
	die($szMsg);
}
$user_obj = get_userdata( $cur_user_id );

if(!$user_obj) {
	wp_logout();
	$szMsg = esc_html__('Authorization required', 'registration-and-authorize');
	die($szMsg);
}
$roles_arr = (array)$user_obj->roles;

$need_role = 'administrator';
if(!in_array($need_role, $roles_arr)) {
	$szMsg = esc_html__('Access denied', 'registration-and-authorize');
	die($szMsg);
}

$cWizardClass = new WizardClass();
$bResult = $cWizardClass->updateUsers();
if(!$bResult) {
	$szMsg = esc_html__('Error', 'registration-and-authorize');
	die($szMsg);
}

$szMsg = esc_html__('Users successfully imported', 'registration-and-authorize');
?>
<div id="success">
	<?php echo esc_html($szMsg); ?>
</div>