<?php
if(!isset($_SERVER['HTTP_REFERER'])) { die(); }

if(!isset($_POST['Values'])) {
	die();
}

if(!isset($_POST['JsonData']) ||
!isset($_POST['SignData'])) {
	die();
}

// Protect
$JsonProtect = sanitize_text_field($_POST['JsonData']);
$SignCheck = func_iq_auth_get_sign_json_array_protect($JsonProtect);
$szPostSign = sanitize_text_field($_POST['SignData']);
if($szPostSign != $SignCheck) { die(); }
$JsonVal = func_iq_auth_out_protect($JsonProtect);

########################
##### DATA PROTECT #####
########################
$CArr = json_decode($JsonVal, true);
if(empty($CArr)) {
	return false;
}

// item_id
if(!isset($CArr['item_id'])) {
	die();
}
$CArr['item_id'] = (int)$CArr['item_id'];
$iPostItemID = (int)$CArr['item_id'];

###############
##### POP #####
###############
if(!isset($CArr['pop'])) {
	die();
}
$CArr['pop'] = (int)$CArr['pop'];

if($CArr['pop']) {
	$szPreTag = 'pop_';
} else {
	$szPreTag = '';
}

##################
##### ACCESS #####
##################
if ( !is_user_logged_in() ) {
	$szMsg = esc_html__('Authorization required', 'registration-and-authorize');
	die($szMsg);
}

$cur_user_id = get_current_user_id();
if($cur_user_id <= 0) {
	$szMsg = esc_html__('Authorization required', 'registration-and-authorize');
	die($szMsg);
}
$user_obj = get_userdata( $cur_user_id );

if(!$user_obj) {
	wp_logout();
	$szMsg = esc_html__('Authorization required', 'registration-and-authorize');
	die($szMsg);
}
$roles_arr = (array)$user_obj->roles;

$need_role = 'administrator';
if(!in_array($need_role, $roles_arr)) {
	$szMsg = esc_html__('Access denied', 'registration-and-authorize');
	die($szMsg);
}

#######################
##### DATA VALUES #####
#######################
$DataValuesArr = array();
$DataJsonStrArr = array();
$PostValues = sanitize_text_field($_POST['Values']);
$Exp = explode(',', $PostValues);
$ArrayData = array();
for($i = 0; $i < count($Exp); $i++) {
	$TempParam = trim($Exp[$i]);
	if(empty($TempParam)) { continue; }
	$ArrayData[] = $TempParam;
}

/*
echo '<pre>';
print_r($ArrayData);
echo '</pre>';
die();
*/

if(empty($ArrayData)) {
	die();
}

if(!isset($cIQAuthRedirects)) {
	require_once IQ_AUTH_CORE_DIR.'/includes/inc_redirects.php';
	$cIQAuthRedirects = new IQAuthRedirects();
}

// page
$Key = $szPreTag.'page';
if(!in_array($Key, $ArrayData) || empty(sanitize_text_field($_POST[$Key]))) {
	$szMsg = esc_html__('Enter page url', 'registration-and-authorize');
	die($szMsg);
}
$DataValuesArr['page'] = func_iq_auth_in(sanitize_text_field($_POST[$Key]));
if(empty($DataValuesArr['page'])) {
	$szMsg = esc_html__('Enter page url', 'registration-and-authorize');
	die($szMsg);
}

// type
$Key = $szPreTag.'type';
if(!in_array($Key, $ArrayData) || (int)sanitize_text_field($_POST[$Key]) <= 0) {
	$szMsg = esc_html__('Select a redirect page', 'registration-and-authorize');
	die($szMsg);
}
$DataValuesArr['type'] = (int)sanitize_text_field($_POST[$Key]);

$Params = [];
$iq_redirects_types = $cIQAuthRedirects->getTypes();
if($iq_redirects_types) {
	foreach($iq_redirects_types AS $key => $data) {
		if($DataValuesArr['type'] == (int)$data['id']) {
			$Params = $data;
			break;
		}
	}
}
if(empty($Params)) {
	$szMsg = esc_html__('Unknown redirect page', 'registration-and-authorize');
	die($szMsg);
}

// enable
$Key = $szPreTag.'enable';
$DataValuesArr['enable'] = 1;
if(in_array($Key, $ArrayData) && sanitize_text_field($_POST[$Key]) == 'false') {
	$DataValuesArr['enable'] = 0;
}

$result = $cIQAuthRedirects->add($DataValuesArr, $iPostItemID);
if(!$result) {
	$szMsg = esc_html__('An error occurred while trying to add a redirect page', 'registration-and-authorize');
	die($szMsg);
}

?>
<div id="success">
	<?php echo esc_html__('Redirect page successfully added', 'registration-and-authorize'); ?>
</div>