<?php
// Restrict
if(!defined('ABSPATH') || !defined('IQ_AUTH_CORE_DIR')) {
	die();
}

class IQ_AUTH_AjaxClass {
	// ADMIN
	function admin_iq_auth_UserEdit() {
		include IQ_AUTH_CORE_DIR.'/data/data_user_edit.php';
		wp_die();
	}
	function admin_iq_auth_UserEditDo() {
		include IQ_AUTH_CORE_DIR.'/data/data_user_edit_do.php';
		wp_die();
	}
	function admin_iq_auth_UserReload() {
		include IQ_AUTH_CORE_DIR.'/data/data_user_reload.php';
		wp_die();
	}
	function admin_iq_auth_WizardImportUsers() {
		include IQ_AUTH_CORE_DIR.'/wizard/data/data_wizard_import.php';
		wp_die();
	}
	
	// REDIRECTS
	function admin_iq_auth_RedirectsAdd() {
		include IQ_AUTH_CORE_DIR.'/data/redirects/data_redirects_add.php';
		wp_die();
	}
	function admin_iq_auth_RedirectsAddDo() {
		include IQ_AUTH_CORE_DIR.'/data/redirects/data_redirects_add_do.php';
		wp_die();
	}
	function admin_iq_auth_RedirectsItemDelete() {
		include IQ_AUTH_CORE_DIR.'/data/redirects/data_redirects_delete.php';
		wp_die();
	}
	function admin_iq_auth_RedirectsItemReload() {
		include IQ_AUTH_CORE_DIR.'/data/redirects/data_redirects_item_reload.php';
		wp_die();
	}
	
	// CUSTOM_FIELDS
	function admin_iq_auth_CustomFieldAdd() {
		if(func_iq_auth_module_enable('custom_fields')) {
			include IQ_AUTH_CORE_DIR.'/modules/custom_fields/data/data_custom_field_add.php';
		}
		wp_die();
	}
	function admin_iq_auth_CustomFieldTypeChange() {
		if(func_iq_auth_module_enable('custom_fields')) {
			include IQ_AUTH_CORE_DIR.'/modules/custom_fields/data/data_custom_field_type_change.php';
		}
		wp_die();
	}
	function admin_iq_auth_CustomFieldAddDo() {
		if(func_iq_auth_module_enable('custom_fields')) {
			include IQ_AUTH_CORE_DIR.'/modules/custom_fields/data/data_custom_field_add_do.php';
		}
		wp_die();
	}
	function admin_iq_auth_CustomFieldDelete() {
		if(func_iq_auth_module_enable('custom_fields')) {
			include IQ_AUTH_CORE_DIR.'/modules/custom_fields/data/data_custom_field_delete.php';
		}
		wp_die();
	}
	function admin_iq_auth_CustomFieldItemReload() {
		if(func_iq_auth_module_enable('custom_fields')) {
			include IQ_AUTH_CORE_DIR.'/modules/custom_fields/data/data_custom_field_item_reload.php';
		}
		wp_die();
	}
	
	function web_iq_auth_CustomFieldsLoad() {
		if(func_iq_auth_module_enable('custom_fields')) {
			include IQ_AUTH_CORE_DIR.'/modules/custom_fields/data/data_custom_field_regist_load.php';
		}
		wp_die();
	}

	// WIZARD
	
	// WEB
	function web_iq_auth_LoginDo() {
		include IQ_AUTH_CORE_DIR.'/data/data_login_do.php';
		wp_die();
	}
	
	function web_iq_auth_RegistDo() {
		include IQ_AUTH_CORE_DIR.'/data/data_regist_do.php';
		wp_die();
	}
	
	function web_iq_auth_LostDo() {
		include IQ_AUTH_CORE_DIR.'/data/data_lost_do.php';
		wp_die();
	}
	
	function web_iq_auth_RecoverDo() {
		include IQ_AUTH_CORE_DIR.'/data/data_recover_do.php';
		wp_die();
	}
	
	function web_iq_auth_RegistPage() {
		include IQ_AUTH_CORE_DIR.'/data/data_regist_index.php';
		wp_die();
	}
	
	function web_iq_auth_LostPage() {
		include IQ_AUTH_CORE_DIR.'/data/data_lost_index.php';
		wp_die();
	}
	
	function web_iq_auth_LoginPage() {
		include IQ_AUTH_CORE_DIR.'/data/data_auth_index.php';
		wp_die();
	}
}