<?php
// Restrict
if(!defined('ABSPATH') || !defined('IQ_AUTH_WIZARD_ACCESS')) {
	die();
}

if(!class_exists('WizardClass')) {
	class WizardClass {
		/**
		 * Import users in partners
		 * @since 1.0.0
		 * @return boolean
		 */
		function updateUsers() {
			global $wpdb;

			$args = [];
			$usersObj = get_users( $args );
			if($usersObj) {
				$usersArr = (array)$usersObj;
				if($usersArr) {
					// get settings
					$iCurrentTime = time();
					foreach($usersArr AS $user_obj) {
						$user_data = (array)$user_obj->data;

						$sql = "
						SELECT 
							`uid`
						FROM
							`{$wpdb->prefix}iq_auth_users`
						WHERE
							`uid` = %d
					";
						$object = $wpdb->get_row(
							$wpdb->prepare($sql,
								$user_data['ID'])
							, ARRAY_A);
						
						if(!$object) {
							$sql = "
								INSERT INTO `{$wpdb->prefix}iq_auth_users`
									(`uid`,
									`cf_json`,
									`date`)
								VALUES
									(%d,
									'[]',
									%d)
							";
							$wpdb->query($wpdb->prepare($sql,
								$user_data['ID'],
								$iCurrentTime));
						}
					}
				}
			}
			return true;
		}
	}
}